Create a public link
View as MarkdownPOST
/v1/documents/{documentId}/share-linksCreates a view-only public link to the page (and, by default, its unrestricted subpages). The token is returned only once. Needs full access.
curl -X POST "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/share-links" \
-H "Authorization: Bearer $LYDIE_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Path parameters
Body
- includeSubpagesboolean
Default
true Default
nullDefault
null
Response
{
"shareLink": {
"id": "string",
"documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"tokenHint": "string",
"includeSubpages": false,
"expiresAt": null,
"hasPassword": false,
"createdBy": null,
"createdAt": "2026-11-12T09:30:00.000Z"
},
"token": "string",
"url": "string"
}Errors use one envelope for every endpoint. See Errors and versions.